For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • GETGet Company Payments Methods
              • PUTUpdate Company Payments Methods
              • GETGet Store's All Payments
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIPayment

Get Company Payments Methods

Deprecated
GET
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/payments
GET
/api/v2/io/companies/:companyId/payments
$curl https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/payments \
> -H "authToken: <apiKey>"
200Payment_companies_payments_list_example
1{
2 "code": 200,
3 "data": [
4 {
5 "code": "cheque",
6 "isEnabled": "1",
7 "name": "Check",
8 "paymentId": 3
9 },
10 {
11 "code": "bankdeposit",
12 "isEnabled": "0",
13 "name": "Bank Deposit",
14 "paymentId": 6
15 },
16 {
17 "code": "cod",
18 "isEnabled": "0",
19 "name": "Cash on Delivery",
20 "paymentId": 7
21 },
22 {
23 "code": "moneyorder",
24 "isEnabled": "0",
25 "name": "Money Order",
26 "paymentId": 8
27 },
28 {
29 "code": "testgateway",
30 "isEnabled": "0",
31 "name": "Test Payment Gateway",
32 "paymentId": 5
33 }
34 ],
35 "message": "SUCCESS"
36}
Get company payments methods, include inactive
Was this page helpful?
Previous

Get Order Product

Next

Update Company Payments Methods

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Response

Response Success
codedouble
Response status code
datalist of objects
messagestring
Response message